# Uses of Class
org.apache.lucene.util.PriorityQueue

Packages that use PriorityQueue
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of PriorityQueue in org.apache.lucene.search

  Subclasses of PriorityQueue in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `class`
  `FieldValueHitQueue<T extends FieldValueHitQueue.Entry>`
  Expert: A hit queue for sorting by hits by terms in more than one field.
  `final class`
  `HitQueue`
  Expert: Priority queue containing hit docs
  Fields in org.apache.lucene.search declared as PriorityQueue
  Modifier and Type
  Field
  Description
  `protected final PriorityQueue<T>`
  TopDocsCollector.`pq`
  The priority queue which holds the top documents.
  Constructors in org.apache.lucene.search with parameters of type PriorityQueue
  Modifier
  Constructor
  Description
  `protected`
  `TopDocsCollector(PriorityQueue<T> pq)`